<template>
  <div class="fund-detail-section" :class="{ mobile: isMobile() }">
    <div class="header px-md-5 pt-md-3">
      <h2 style="color: #ffffff">{{ data.title }}</h2>
    </div>
    <a-row type="flex" style="margin-top: 30px">
      <a-col :flex="3" class="px-5 pb-5 info-project">
        <div>
          <img :src="data.photo"/><br /><br />
          <p class="px-md-5">{{ data.description }}</p>
        </div>
      </a-col>
      <a-col :flex="2" class="d-flex justify-content-center wrap-action-btn">
        <div class="btn red mr-3 text-black">
          Fund start date <br />
          Jannary 10, 2021
        </div>
        <div class="btn white text-black">
          Goal<br />
          100,000,000 P
        </div>
      </a-col>
    </a-row>
  </div>
</template>

<style scoped>
.fund-detail-section {
  display: block;
  margin: 0 auto;
  padding-bottom: 60px;
}
.header {
  margin-top: 20px;
  padding-bottom: 20px;
}

h3 {
  color: #ffffff;
}

.info-project p {
  text-align: left;
}

.row-fund {
  margin-top: 30px;
  display: table;
}

.btn {
  padding: 20px 20px 20px 20px;
  text-align: center;
  border-radius: 15px;
  margin-top: 30px;
  cursor: pointer;
  width: 250px;
}

.btn:hover {
  opacity: 0.5;
}

.red {
  background: #DC4534;
}

.white {
  background: #fff;
}

ul.lst {
  list-style: none;
  margin-top: 30px;
  margin-left: -30px;
  padding-left: 0;
}

ul.lst li {
  float: left;
  margin-left: 30px;
  background: #ffffff;
  width: 250px;
  border-radius: 5px;
  cursor: pointer;
}

ul.lst li:hover {
  background: #cccccc;
  border-radius: 5px;
}

.photo {
  width: 250px;
  height: 150px;
}

/* Mobile Style */
.mobile {
  padding: 0 16px;
}
.mobile .header {
  justify-content: flex-start;
  border-bottom: none;
  padding: 0;
  margin: 0;
}
.mobile .header h2 {
  font-weight: normal;
  font-size: 16px;
  line-height: 24px;
  color: #FFFFFF;
}
.mobile .info-project {
  padding: 0 !important;
}
.mobile .info-project img {
  width: 100%;
  height: 170px;
  object-fit: cover;
}
.mobile .info-project p {
  font-weight: 300;
  font-size: 14px;
  line-height: 21px;
  text-align: justify;
  color: #FFFFFF;
}
.mobile .wrap-action-btn div {
  height: 70px;
  width: unset;
  flex-grow: 1;
  padding: 0;
  margin: 30px 0 80px;
  font-weight: 500;
  font-size: 14px;
  line-height: 18px;
  color: #000000;
  display: flex;
  align-items: center;
  justify-content: center;
}
.mobile .wrap-action-btn div:first-child {
  margin-right: 40px;
}
</style>

<script>
const data = {
  code: "D-19",
  title: "MVP 2nd mini Album",
  description:
    "My new our project are looking forward to some investors, There’s a part of every one of us that dreams of a better world. That spark of inspiration to help a person, fix a neighborhood, or even change a nation. At GoFundMe, we believe your inspiration should be shared with everyone because that is how change happens.",
  photo: "photo-album.jpg"
};

export default {
  data() {
    return {
      data: data
    };
  },
  methods: {
    isMobile() {
      if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
        return true;
      } else {
        return false;
      }
    }
  }
};
</script>
